=== modified file 'NEWS'
--- NEWS	2010-08-20 19:07:17 +0000
+++ NEWS	2010-08-21 20:59:09 +0000
@@ -30,7 +30,7 @@
 
 * `ControlDirFormat` and  `ControlDir` have been split out of `BzrDirFormat`
   and `BzrDir`, respectively. `ControlDirFormat`
-  and `ControlDir` should be used as the base class for new non-.bzr
+  and `ControlDir` should be used as the base classes for new non-.bzr
   implementations.
 
   `BzrDirFormat.register_control_format` has been renamed to

=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2010-08-20 19:07:17 +0000
+++ bzrlib/bzrdir.py	2010-08-21 20:59:09 +0000
@@ -815,27 +815,6 @@
                 raise errors.NotBranchError(path=url)
             a_transport = new_t
 
-    def _get_tree_branch(self, name=None):
-        """Return the branch and tree, if any, for this bzrdir.
-
-        :param name: Name of colocated branch to open.
-
-        Return None for tree if not present or inaccessible.
-        Raise NotBranchError if no branch is present.
-        :return: (tree, branch)
-        """
-        try:
-            tree = self.open_workingtree()
-        except (errors.NoWorkingTree, errors.NotLocalUrl):
-            tree = None
-            branch = self.open_branch(name=name)
-        else:
-            if name is not None:
-                branch = self.open_branch(name=name)
-            else:
-                branch = tree.branch
-        return tree, branch
-
     @classmethod
     def open_tree_or_branch(klass, location):
         """Return the branch and working tree at a location.

=== modified file 'bzrlib/controldir.py'
--- bzrlib/controldir.py	2010-08-20 19:07:17 +0000
+++ bzrlib/controldir.py	2010-08-21 20:59:09 +0000
@@ -505,6 +505,29 @@
                 push_result.branch_push_result.target_branch
         return push_result
 
+    def _get_tree_branch(self, name=None):
+        """Return the branch and tree, if any, for this bzrdir.
+
+        :param name: Name of colocated branch to open.
+
+        Return None for tree if not present or inaccessible.
+        Raise NotBranchError if no branch is present.
+        :return: (tree, branch)
+        """
+        try:
+            tree = self.open_workingtree()
+        except (errors.NoWorkingTree, errors.NotLocalUrl):
+            tree = None
+            branch = self.open_branch(name=name)
+        else:
+            if name is not None:
+                branch = self.open_branch(name=name)
+            else:
+                branch = tree.branch
+        return tree, branch
+
+
+
 
 class ControlDirFormat(object):
     """An encapsulation of the initialization and open routines for a format.

